<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>
<%@ include file="/m05bIdioma.inc"%>

<HTML>

<head>
  <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
  <link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
  <title><%= resTit.getString("titVehTransferencias")%></title>
<%String mensaje=request.getParameter("Mensaje");
   if (mensaje==null) 
   mensaje="";%>
	
		<%
		StringBuffer sql = new StringBuffer();
		String matricula=request.getParameter("Matricula");
		      if (matricula==null || matricula.equals("NULL")){
		          matricula="";

		      }
		String fdesde="";
		String fhasta="";
		String rango="";
		String importe="";
		String codigo="";

		m05bCombo miCombo = new m05bCombo();

		sql.append("SELECT ").append(m05bConstantes.COL_40_FDESDE).append(",");
		sql.append(m05bConstantes.COL_40_FHASTA).append(",").append(m05bConstantes.COL_40_RANGO);
		sql.append(",").append(m05bConstantes.COL_40_IMPORTE).append(",").append(m05bConstantes.COL_40_CODIGO);
        sql.append(" , ").append(m05bConstantes.COL_99_DESCRIPCION);
		sql.append(" FROM ").append(m05bConstantes.TAB_TRANSFERENCIAS);
        sql.append(" , ").append(m05bConstantes.TAB_DESCRIPCIONES);
		sql.append(" WHERE ").append(m05bConstantes.COL_40_MATRICULA);
		sql.append("='").append(matricula).append("'");
        sql.append(" AND ").append(m05bConstantes.COL_99_CODDESC);
        sql.append("(+) = ").append(m05bConstantes.COL_40_RANGO);
        sql.append(" AND ").append(m05bConstantes.COL_99_CODTABLA);
        sql.append("(+) = '").append(m05bConstantes.DESC_RANGOS).append("'");
		

		%>
		<script language="JavaScript">
		     function fncModificar(codigo) {
		        document.formTransfer.action="m05bGenerarTransferenciasServlet?Matricula=<%=matricula%>&Codigo=" + codigo+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
		        document.formTransfer.submit();
		      }
		      function  fncNuevo(){

		         document.formTransfer.action="m05bVehTransferenciasJsp.jsp?Codigo=&Matricula=<%=matricula%>"+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
		         document.formTransfer.submit();
		      }

		</SCRIPT>
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_GESTION_TRANSFERENCIAS%>?Matricula=<%=matricula%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_GESTION_TRANSFERENCIAS%>";		 
</script>			
<%@include file="m05bVehiEconomicoFijo.inc"%>			
<%int contador=0;%>    
			
<FORM NAME="formTransfer" METHOD="POST">
					<%
				  	if (mensaje.equals("Existe")) {
						outMsg.println("<script>alert(dameAlerta(idioma, 109));</script>");
			  	        outMsg.close(); }%>					
	
    <% if ((!(situacion.equals("B"))) &&  (sExisteMatricula.equals("1"))){%>
		  <TABLE class="general">
			    <tr>
			      <!--td align="right"> <INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Nuevo" ONCLICK="JavaScript:fncNuevo();"  src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/nuevo.gif"/> </td-->
                  <td align="right"><input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" /></td>				      					  			      
				</tr>
		  </TABLE>
    <%}%>
		<table class="general">
			 <tr nowrap>
			  	<td  height="20" width="55%" class="searchTitleCM">
                    <a href="<%=m05bConstantesPaginas.VEH_GESTION_ECONOMICA%>?Matricula=<%=matricula%>" class="CM" ><%=resCM.getString("cmMtoEconomica")%></a>\			  	
			  		<font class="CMV" ><%=resCM.getString("cmRelTransferencias")%></FONT>
			    </td>
			 </tr>
		</table>				    

		  <TABLE class="general" topmargin="0" leftmargin="0">
		    <tr>
		      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
		      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etFDesde")%></td>
		      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etFHasta")%></td>
		      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etRango")%></td>
		      <td valign="top" align="left" class="inputFieldTitle"><%= res.getString("etImporte")%></td>
		    </tr>
		    <%
		     try {
		           if (!matricula.equals("")){
		           //m05bbBeginSelect(sql.toString());
		           //m05bRS = m05bPStmt.executeQuery();
                   conexion = miConexion.getConnection();
                   conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
		           
       	  	      pstmt2 = conexion.prepareStatement(sql.toString());
		          rs2 = pstmt2.executeQuery();
		           
		           while (rs2.next() == true){

		               codigo=rs2.getString(m05bConstantes.COL_40_CODIGO);
                       contador = contador + 1;
		               fdesde=rs2.getString(m05bConstantes.COL_40_FDESDE);
		               fhasta=rs2.getString(m05bConstantes.COL_40_FHASTA);
		               rango=rs2.getString(m05bConstantes.COL_99_DESCRIPCION);
		               importe=rs2.getString(m05bConstantes.COL_40_IMPORTE);
			           //if (importe==null || importe.equals("NULL")|| importe.equals("0"))
			           //    importe="";
			               
		               if (fdesde==null || fdesde.equals("NULL"))
		                   fdesde="";
		               else
		                   fdesde=comun.Mes(fdesde,campoTexto3);
		               if (fhasta==null || fhasta.equals("NULL"))
		                   fhasta="";
		               else
		                   fhasta=comun.Mes(fhasta,campoTexto3);
		               if (rango==null)
		                   rango="";
		               %>
		               <tr>
		                 <td valign="top" align="left" class="inputFieldTitleBlank"><A href="JavaScript:fncModificar('<%=codigo%>')"><%=codigo%></A></td>
		                 <td valign="top" align="left" class="inputFieldTitleBlank"><%=fdesde%></td>
		                 <td valign="top" align="left" class="inputFieldTitleBlank"><%=fhasta%></td>
                 		 <td valign="top" align="left" class="inputFieldTitleBlank"><%=rango%></td>
                         <input type="hidden" name=<%="Importe"+contador%> value="<%=importe%>"> 
                         <script>
                              formatNumeroDecimal(document.formTransfer.<%="Importe"+contador%>,6,2);
                         </script>	
		                 <td valign="top" style="text-align: right"  class="inputFieldTitleBlank"><script> document.write(document.formTransfer.<%="Importe"+contador%>.value);</script></td>
		    		   </tr>
		           <%}
		    }
		  } catch (Exception SQLException){
			  m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
			   miLog.addTraza(SQLException);
		  } finally {
			   //m05bEndSelect();
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conexion != null)
					conexion.close();
			   
		  }
		    %>
		  </TABLE>
		  <TABLE class="general">
				<tr> </tr>
				<tr align="center">
					<td class="inputField" colspan="7"><%= res.getString("etTotal")%> <%=contador%></td>
			 	</tr>
				<tr> </tr>

		  </TABLE>
</FORM>
		</td>
	</tr>
	<tr>
							
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabEconomica=document.getElementById("tabEconomica");
   
   tabEconomica.style.backgroundColor="#000078"	;
</SCRIPT>
</BODY>
</HTML>